> ## Documentation Index
> Fetch the complete documentation index at: https://www.octoparse.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 토큰 갱신

> **필요한 플랜:** 모든 사용자.

액세스 토큰이 만료되면 최초 토큰 요청에서 받은 refresh_token으로 갱신할 수 있습니다.



## OpenAPI

````yaml /ko/api/refresh-token.openapi.json post /token
openapi: 3.0.1
info:
  title: Octoparse 토큰 갱신 API
  version: 1.0.0
servers:
  - url: https://openapi.octoparse.com
    description: Octoparse API 서버
security: []
paths:
  /token:
    post:
      tags:
        - Access Token
      summary: 토큰 갱신
      description: |-
        **필요한 플랜:** 모든 사용자.

        액세스 토큰이 만료되면 최초 토큰 요청에서 받은 refresh_token으로 갱신할 수 있습니다.
      operationId: refreshToken
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - refresh_token
                - grant_type
              properties:
                refresh_token:
                  type: string
                  description: 원래 토큰 응답에서 받은 갱신 토큰
                grant_type:
                  type: string
                  description: 반드시 `refresh_token`이어야 합니다.
                  example: refresh_token
      responses:
        '200':
          description: 토큰이 갱신되었습니다.
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      access_token:
                        type: string
                      expires_in:
                        type: integer
                      token_type:
                        type: string
                      refresh_token:
                        type: string
                  requestId:
                    type: string

````